View Issue Details

IDProjectCategoryView StatusLast Update
0006855Kali Linux[All Projects] General Bugpublic2020-12-01 10:50
Reporterkhankrum359 Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version2020.4 
Target VersionFixed in Version 
Summary0006855: no CUDA / OpenCL support - NVIDIA 2060 Super
DescriptionThere is no CUDA / OpenCL support nor by:
 - clinfo:
 ┌──(khan㉿kali)-[~]
└─$ clinfo
Number of platforms 0
┌──(khan㉿kali)-[~]
└─$ sudo clinfo
Number of platforms 0
-hashcat:
└─$ hashcat -I
hashcat (v6.1.1) starting...

cuInit(): unknown error

clGetPlatformIDs(): CL_PLATFORM_NOT_FOUND_KHR

ATTENTION! No OpenCL-compatible or CUDA-compatible platform found.

You are probably missing the OpenCL or CUDA runtime installation.

* AMD GPUs on Linux require this driver:
  "RadeonOpenCompute (ROCm)" Software Platform (3.1 or later)
* Intel CPUs require this runtime:
  "OpenCL Runtime for Intel Core and Intel Xeon Processors" (16.1.1 or later)
* NVIDIA GPUs require this runtime and/or driver (both):
  "NVIDIA Driver" (440.64 or later)
  "CUDA Toolkit" (9.0 or later)
┌──(khan㉿kali)-[~]
└─$ sudo hashcat -I 255 ⨯
hashcat (v6.1.1) starting...

cuInit(): unknown error

clGetPlatformIDs(): CL_PLATFORM_NOT_FOUND_KHR

ATTENTION! No OpenCL-compatible or CUDA-compatible platform found.

You are probably missing the OpenCL or CUDA runtime installation.

* AMD GPUs on Linux require this driver:
  "RadeonOpenCompute (ROCm)" Software Platform (3.1 or later)
* Intel CPUs require this runtime:
  "OpenCL Runtime for Intel Core and Intel Xeon Processors" (16.1.1 or later)
* NVIDIA GPUs require this runtime and/or driver (both):
  "NVIDIA Driver" (440.64 or later)
Steps To Reproduce1. Clean install Kali 2020.4 from https://images.kali.org/kali-linux-2020.4-installer-amd64.iso.torrent;
2. Install NVIDIA GPU Drivers strictly by official guide: https://www.kali.org/docs/general-use/install-nvidia-drivers-on-kali-linux/ ;
3. On step "Verify Driver Installation":
┌──(khan㉿kali)-[~]
└─$ nvidia-smi
Sun Nov 22 16:10:32 2020
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 450.80.02 Driver Version: 450.80.02 CUDA Version: 11.0 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
| | | MIG M. |
|===============================+======================+======================|
| 0 GeForce RTX 206... Off | 00000000:01:00.0 On | N/A |
| 17% 39C P8 18W / 175W | 168MiB / 7973MiB | 19% Default |
| | | N/A |
+-------------------------------+----------------------+----------------------+
                                                                               
+-----------------------------------------------------------------------------+
| Processes: |
| GPU GI CI PID Type Process name GPU Memory |
| ID ID Usage |
|=============================================================================|
| 0 N/A N/A 620 G /usr/lib/xorg/Xorg 154MiB |
| 0 N/A N/A 886 G xfwm4 6MiB |
| 0 N/A N/A 1813 G ...b/firefox-esr/firefox-esr 5MiB |
+-----------------------------------------------------------------------------+
4. No CUDA/OpenCL support, as seen above...
Additional Information1. System: Motherboard: Z270 SLI PLUS (MS-7A59); CPU: Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz; VGA compatible controller: TU106 [GeForce RTX 2060 SUPER], vendor: NVIDIA Corporation.
2. Additional info:
┌──(khan㉿kali)-[~]
└─$ dpkg -l | grep -i icd
ii nvidia-egl-icd:amd64 450.80.02-1 amd64 NVIDIA EGL installable client driver (ICD)
ii nvidia-opencl-icd:amd64 450.80.02-1 amd64 NVIDIA OpenCL installable client driver (ICD)
ii nvidia-vulkan-icd:amd64 450.80.02-1 amd64 NVIDIA Vulkan installable client driver (ICD)
ii ocl-icd-libopencl1:amd64 2.2.12-4 amd64 Generic OpenCL ICD Loader
ii ocl-icd-opencl-dev:amd64 2.2.12-4 amd64 OpenCL development files
___________________________________
┌──(khan㉿kali)-[~]
└─$ dpkg -l | grep -i mesa-opencl-icd
___________________________________
┌──(khan㉿kali)-[~]
└─$ clinfo | grep -i "icd loader" 1 ⨯
___________________________________
┌──(khan㉿kali)-[~]
└─$ nvidia-smi -i 0 -q 1 ⨯

==============NVSMI LOG==============

Timestamp : Sun Nov 22 16:17:20 2020
Driver Version : 450.80.02
CUDA Version : 11.0

Attached GPUs : 1
GPU 00000000:01:00.0
    Product Name : GeForce RTX 2060 SUPER
    Product Brand : GeForce
    Display Mode : Enabled
    Display Active : Enabled
    Persistence Mode : Disabled
    MIG Mode
        Current : N/A
        Pending : N/A
    Accounting Mode : Disabled
    Accounting Mode Buffer Size : 4000
    Driver Model
        Current : N/A
        Pending : N/A
    Serial Number : N/A
    GPU UUID : GPU-34714b80-b2bf-7325-7330-439674b7ade0
    Minor Number : 0
    VBIOS Version : 90.06.44.40.8C
    MultiGPU Board : No
    Board ID : 0x100
    GPU Part Number : N/A
    Inforom Version
        Image Version : G001.0000.02.04
        OEM Object : 1.1
        ECC Object : N/A
        Power Management Object : N/A
    GPU Operation Mode
        Current : N/A
        Pending : N/A
    GPU Virtualization Mode
        Virtualization Mode : None
        Host VGPU Mode : N/A
    IBMNPU
        Relaxed Ordering Mode : N/A
    PCI
        Bus : 0x01
        Device : 0x00
        Domain : 0x0000
        Device Id : 0x1F0610DE
        Bus Id : 00000000:01:00.0
        Sub System Id : 0xC7551462
        GPU Link Info
            PCIe Generation
                Max : 3
                Current : 1
            Link Width
                Max : 16x
                Current : 16x
        Bridge Chip
            Type : N/A
            Firmware : N/A
        Replays Since Reset : 0
        Replay Number Rollovers : 0
        Tx Throughput : 9000 KB/s
        Rx Throughput : 105000 KB/s
    Fan Speed : 17 %
    Performance State : P8
    Clocks Throttle Reasons
        Idle : Active
        Applications Clocks Setting : Not Active
        SW Power Cap : Not Active
        HW Slowdown : Not Active
            HW Thermal Slowdown : Not Active
            HW Power Brake Slowdown : Not Active
        Sync Boost : Not Active
        SW Thermal Slowdown : Not Active
        Display Clock Setting : Not Active
    FB Memory Usage
        Total : 7973 MiB
        Used : 168 MiB
        Free : 7805 MiB
    BAR1 Memory Usage
        Total : 256 MiB
        Used : 13 MiB
        Free : 243 MiB
    Compute Mode : Default
    Utilization
        Gpu : 23 %
        Memory : 11 %
        Encoder : 0 %
        Decoder : 0 %
    Encoder Stats
        Active Sessions : 0
        Average FPS : 0
        Average Latency : 0
    FBC Stats
        Active Sessions : 0
        Average FPS : 0
        Average Latency : 0
    Ecc Mode
        Current : N/A
        Pending : N/A
    ECC Errors
        Volatile
            SRAM Correctable : N/A
            SRAM Uncorrectable : N/A
            DRAM Correctable : N/A
            DRAM Uncorrectable : N/A
        Aggregate
            SRAM Correctable : N/A
            SRAM Uncorrectable : N/A
            DRAM Correctable : N/A
            DRAM Uncorrectable : N/A
    Retired Pages
        Single Bit ECC : N/A
        Double Bit ECC : N/A
        Pending Page Blacklist : N/A
    Remapped Rows : N/A
    Temperature
        GPU Current Temp : 40 C
        GPU Shutdown Temp : 96 C
        GPU Slowdown Temp : 93 C
        GPU Max Operating Temp : 89 C
        Memory Current Temp : N/A
        Memory Max Operating Temp : N/A
    Power Readings
        Power Management : Supported
        Power Draw : 18.79 W
        Power Limit : 175.00 W
        Default Power Limit : 175.00 W
        Enforced Power Limit : 175.00 W
        Min Power Limit : 125.00 W
        Max Power Limit : 185.00 W
    Clocks
        Graphics : 600 MHz
        SM : 600 MHz
        Memory : 405 MHz
        Video : 555 MHz
    Applications Clocks
        Graphics : N/A
        Memory : N/A
    Default Applications Clocks
        Graphics : N/A
        Memory : N/A
    Max Clocks
        Graphics : 2115 MHz
        SM : 2115 MHz
        Memory : 7001 MHz
        Video : 1950 MHz
    Max Customer Boost Clocks
        Graphics : N/A
    Clock Policy
        Auto Boost : N/A
        Auto Boost Default : N/A
    Processes
        GPU instance ID : N/A
        Compute instance ID : N/A
        Process ID : 620
            Type : G
            Name : /usr/lib/xorg/Xorg
            Used GPU Memory : 154 MiB
        GPU instance ID : N/A
        Compute instance ID : N/A
        Process ID : 886
            Type : G
            Name : xfwm4
            Used GPU Memory : 6 MiB
        GPU instance ID : N/A
        Compute instance ID : N/A
        Process ID : 1813
            Type : G
            Name : /usr/lib/firefox-esr/firefox-esr
            Used GPU Memory : 5 MiB
____________________________________________
┌──(khan㉿kali)-[~]
└─$ glxinfo | grep -i "direct rendering"
direct rendering: Yes
____________________________________________
sudo systemctl status nvidia-persistenced 4 ⨯
● nvidia-persistenced.service - NVIDIA Persistence Daemon
     Loaded: loaded (/lib/systemd/system/nvidia-persistenced.service; disabled; vendor preset: disabled)
     Active: inactive (dead)
__________________________________________

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-11-22 14:22 khankrum359 New Issue
2020-12-01 10:50 g0tmi1k Severity major => minor